commit:     93f0c3ba015c3d4b0db14ff254311ef8a8e23748
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 18:55:28 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 19:36:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93f0c3ba

dev-perl/EV: Bump to version 4.330.0

- EAPI7
- Fixup LICENSE
- Ensure CFLAGS passed to make/compiler
- Note: I investigated the possibilitiy of using system libev, which is
  published by the same author, but it isn't currently possible due to
  the build code needing *c* files from libev directly, and I'm not sure
  how to decouple that reliably.

Upstream:
- Sync to (bundled) libev 4.31
- Fix an assertion with a typo
- Avoid perl's assert() in more places due to it misbehaving
- update libecb for windows environments
- use the new ev_io_modify in EV::IO->events
- Add mutator methods Timer->repeat,
  Periodic->{offset,interval,reschedule_cb}
- Minor optimizations
- Try to name `ev.h` more explicitly for portability
- Opportunistic round-up of wait times in polling backends to avoid
  unneeded loop iterations
- Fix minix 3.3 support
- Allow users to re-enable assert() in case it is disabled by perl
- Allow linux AIO backend to be used by default
- Only use __register_atfork with glibc/uclibc, to avoid being broken on
  musl

Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 dev-perl/EV/EV-4.330.0.ebuild | 28 ++++++++++++++++++++++++++++
 dev-perl/EV/Manifest          |  1 +
 2 files changed, 29 insertions(+)

diff --git a/dev-perl/EV/EV-4.330.0.ebuild b/dev-perl/EV/EV-4.330.0.ebuild
new file mode 100644
index 00000000000..4aba09327aa
--- /dev/null
+++ b/dev-perl/EV/EV-4.330.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=MLEHMANN
+DIST_VERSION=4.33
+inherit perl-module
+
+DESCRIPTION="Perl interface to libev, a high performance full-featured event 
loop"
+LICENSE=" || ( Artistic GPL-1+ ) || ( BSD-2 GPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-perl/common-sense
+"
+BDEPEND="${RDEPEND}
+       virtual/perl-ExtUtils-MakeMaker
+       dev-perl/Canary-Stability
+"
+src_compile() {
+       mymake=(
+               "OPTIMIZE=${CFLAGS}"
+       )
+       perl-module_src_compile
+}

diff --git a/dev-perl/EV/Manifest b/dev-perl/EV/Manifest
index 4f5e527432e..9efc71d9d9c 100644
--- a/dev-perl/EV/Manifest
+++ b/dev-perl/EV/Manifest
@@ -1 +1,2 @@
 DIST EV-4.22.tar.gz 193418 BLAKE2B 
ac07559dd2b35e68da0338a52cbc201ed59b0f690e2c2bf7dae0e2476356cdb5fc3d749fd98b7fdb97f16c7e318c8ac20067f89c1c43b84c4ab148c241ded399
 SHA512 
0d30d1388a75ed3af24c3b854d8c2a54bfc62c274591f13205c35748f3652122bae85f46aae174ce5963395233536222c8fae35e8118cbd5af2f7ed0c45b70de
+DIST EV-4.33.tar.gz 218067 BLAKE2B 
ea704806b66e2c8f944d417b24ffa3923288f96624296ab0320de693651d675c54a8b58b3b75914dc73dec1d7c65da04dfd9dd3b573d3f11978a3865f66fe991
 SHA512 
dd90739888ffd793652fc6590cbfd6f3df1ea25b1a6e478dc903ef10f49f9c729e87005b94f47786ca7603cf27b02e1d5d8a2941037bef25ba5a83fe608e89c5

Reply via email to